Page MenuHomePhabricator

Import Buster packages for Ceph Nautilus
Closed, ResolvedPublic

Description

We'd like to install the latest Ceph release (Nautilus) on Buster, but the Debian packages too old and have reached end of life. https://docs.ceph.com/docs/master/releases/general/

Croit is providing a public mirror for Debian Buster and the Nautilus Ceph release. https://croit.io/2019/07/07/2019-07-07-debian-mirror

Git: https://github.com/croit/ceph/tree/nautilus-croit
Apt: https://mirror.croit.io/debian-nautilus buster/main amd64
GPG key: https://mirror.croit.io/keys/release.gpg

The following packages will be used from this mirror

grep-dctrl -e -S '^(ceph|libstoragemgmt|nfs-ganesha)$' Packages  | grep Package | sort
Package: ceph
Package: ceph-base
Package: ceph-common
Package: cephfs-shell
Package: ceph-fuse
Package: ceph-mds
Package: ceph-mgr
Package: ceph-mgr-dashboard
Package: ceph-mgr-diskprediction-cloud
Package: ceph-mgr-diskprediction-local
Package: ceph-mgr-rook
Package: ceph-mgr-ssh
Package: ceph-mon
Package: ceph-osd
Package: ceph-resource-agents
Package: ceph-test
Package: libcephfs2
Package: libcephfs-dev
Package: libcephfs-java
Package: libcephfs-jni
Package: libntirpc1
Package: libntirpc1-dbgsym
Package: librados2
Package: librados-dev
Package: libradospp-dev
Package: libradosstriper1
Package: libradosstriper-dev
Package: librbd1
Package: librbd-dev
Package: librgw2
Package: librgw-dev
Package: libstoragemgmt1
Package: libstoragemgmtd
Package: libstoragemgmt-dev
Package: libstoragemgmt-plugins
Package: libstoragemgmt-tools
Package: nfs-ganesha
Package: nfs-ganesha-dbgsym
Package: python3-ceph-argparse
Package: python3-cephfs
Package: python3-rados
Package: python3-rbd
Package: python3-rgw
Package: python-ceph
Package: python-ceph-argparse
Package: python-cephfs
Package: python-libstoragemgmt
Package: python-rados
Package: python-rbd
Package: python-rgw
Package: radosgw
Package: rados-objclass-dev
Package: rbd-fuse
Package: rbd-mirror
Package: rbd-nbd

Details

Related Gerrit Patches:
operations/puppet : productionaptrepo: add ceph nautilus repo for cloudvps

Event Timeline

JHedden created this task.Dec 5 2019, 3:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2019, 3:04 PM

Change 556000 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] aptrepo: add ceph nautilus repo for cloudvps

https://gerrit.wikimedia.org/r/556000

JHedden claimed this task.Dec 9 2019, 5:23 PM
JHedden updated the task description. (Show Details)Dec 10 2019, 2:30 PM
JHedden updated the task description. (Show Details)Dec 10 2019, 3:30 PM
JHedden updated the task description. (Show Details)Dec 10 2019, 4:57 PM

Change 556000 merged by Jhedden:
[operations/puppet@production] aptrepo: add ceph nautilus repo for cloudvps

https://gerrit.wikimedia.org/r/556000

Mentioned in SAL (#wikimedia-operations) [2019-12-10T18:09:30Z] <jeh> imported ceph nautilus debian packages into buster-wikimedia/thirdparty/ceph-nautilus-buster T239917

JHedden closed this task as Resolved.Dec 10 2019, 6:11 PM